%define name	xmlclitools
%define version	1.42
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Command-line xml tools
Source:		%{name}.tar.bz2
URL:		http://robur.slu.se/jensl/xmlclitools
License:	GPL
Group:		File tools
BuildRequires:	libglib-devel
BuildRequires:	libxml2-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
xmlclitools provides four command-line tools for searching, modifying,
and formating XML data. The tools are designed to work in conjunction
with standard *nix utilities such as grep, sort, and shell scripts.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}
perl -pi -e 's/gcc/gcc \${RPM_OPT_FLAGS}/' Makefile

%build
%configure
%make

%install
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 xmlngrep xmlgrep xmlfmt xmlmod $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING MANUAL
%{_bindir}/*

%changelog
* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.42-1mdk
- 1.42

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.31-2mdk
- fix group

* Tue Sep 10 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.31-1mdk
- 1.31 
- optimisation flags

* Wed Jun 12 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.25-1mdk
- first mdk release
